﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ClientSideHierarchy.aspx.cs" Inherits="RadGrid_Hierarchy_ClientSideHierarchy" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            function expandCollapseRow(sender, args) {
                var item = args.get_item();
                item.set_expanded(!item.get_expanded());
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" OnNeedDataSource="RadGrid1_NeedDataSource" AutoGenerateColumns="false"  OnItemDataBound="RadGrid1_ItemDataBound"
            OnDetailTableDataBind="RadGrid1_DetailTableDataBind" OnPreRender="RadGrid1_PreRender" AllowMultiRowEdit="true">
            <MasterTableView CommandItemDisplay="Top" HierarchyLoadMode="Client" EditMode="InPlace">
                <Columns>
                    <telerik:GridBoundColumn DataField="Column1" HeaderText="Column1"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Column2" HeaderText="Column2"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Column3" HeaderText="Column3"></telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Column4" HeaderText="Column4"></telerik:GridBoundColumn>
                </Columns>
                <NestedViewTemplate>
                    Test
                </NestedViewTemplate>
            </MasterTableView>
            <ClientSettings>
                <ClientEvents OnRowClick="expandCollapseRow" />
            </ClientSettings>
        </telerik:RadGrid>
    </form>
</body>
</html>
